{% extends 'base.html.twig' %}

{% block title %}Author{% endblock %}

{% block body %}
    <h1>Author</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ author.id }}</td>
            </tr>
            <tr>
                <th>First_name</th>
                <td>{{ author.firstName }}</td>
            </tr>
            <tr>
                <th>Last_name</th>
                <td>{{ author.lastName }}</td>
            </tr>
            <tr>
                <th>Gender</th>
                <td>{{ author.gender }}</td>
            </tr>
            <tr>
                <th>Birth_date</th>
                <td>{{ author.birthDate ? author.birthDate|date('Y-m-d') : '' }}</td>
            </tr>
            <tr>
                <th>Death_date</th>
                <td>{{ author.deathDate ? author.deathDate|date('Y-m-d') : '' }}</td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ author.description }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('author_index') }}">back to list</a>

    <a href="{{ path('author_edit', {'id': author.id}) }}">edit</a>

    {{ include('author/_delete_form.html.twig') }}
{% endblock %}
